<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/pwm.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">pwm.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/db9/pwm_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __PWM_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __PWM_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8de5932e202da33005841edc021a2e4">   32</a></span><span class="preprocessor">#define PWM_CHANNEL_NUM                      (4)      </span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ce05ed0c4b23d9fd3257b49fec3b751">   33</a></span><span class="preprocessor">#define PWM_CH0                              (0UL)    </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa762d631e9794aaecce90826faf4f402">   34</a></span><span class="preprocessor">#define PWM_CH1                              (1UL)    </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6b50c0d5e200636bca31f4689760136e">   35</a></span><span class="preprocessor">#define PWM_CH2                              (2UL)    </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5be6ec8a063e576d71f0d01570867b7b">   36</a></span><span class="preprocessor">#define PWM_CH3                              (3UL)    </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabac82a6377fd08e9847feeda8040f273">   37</a></span><span class="preprocessor">#define PWM_CH_0_MASK                        (1UL)    </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72299d696270f176556e6e29ff6dff93">   38</a></span><span class="preprocessor">#define PWM_CH_1_MASK                        (2UL)    </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2185c98fac63b3ee14b17858cdac9fed">   39</a></span><span class="preprocessor">#define PWM_CH_2_MASK                        (4UL)    </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1af9d8112675ef4e4efffa2b35d78e7c">   40</a></span><span class="preprocessor">#define PWM_CH_3_MASK                        (8UL)    </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd86a897a6b2ccb95d1ae2f47c8bd15c">   41</a></span><span class="preprocessor">#define PWM_CLK_DIV_1                        (4UL)    </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d3bfe34e38f97a4a31394528ef09a45">   42</a></span><span class="preprocessor">#define PWM_CLK_DIV_2                        (0UL)    </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae66ff68ea3b182ae37f8441fed091776">   43</a></span><span class="preprocessor">#define PWM_CLK_DIV_4                        (1UL)    </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga379db73993dbf96710557d63e24c329e">   44</a></span><span class="preprocessor">#define PWM_CLK_DIV_8                        (2UL)    </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga472e1664d0e8f634fb70250fe7e2da68">   45</a></span><span class="preprocessor">#define PWM_CLK_DIV_16                       (3UL)    </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga18eec613fcc72bc9f048c804863519cf">   46</a></span><span class="preprocessor">#define PWM_EDGE_ALIGNED                     (0UL)    </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6871708a71e9d705d1422f9855470585">   47</a></span><span class="preprocessor">#define PWM_CENTER_ALIGNED                   (1UL)    </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga797d0d771457479f8b677263a79cbed0">   48</a></span><span class="preprocessor">#define PWM_RISING_LATCH_INT_ENABLE          (1UL)    </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab7d31a7df3e22a5253337148d26d2a8c">   49</a></span><span class="preprocessor">#define PWM_FALLING_LATCH_INT_ENABLE         (2UL)    </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5940e054da82e586f82d9435f1cc185b">   50</a></span><span class="preprocessor">#define PWM_RISING_FALLING_LATCH_INT_ENABLE  (3UL)    </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga33e16d288942356205a8a55b8c1a4353">   51</a></span><span class="preprocessor">#define PWM_RISING_LATCH_INT_FLAG            (2UL)    </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaec789562f8ab7a95abc00a5b4794afa">   52</a></span><span class="preprocessor">#define PWM_FALLING_LATCH_INT_FLAG           (4UL)    </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga640204272f0176593d718b05fd9a041c">   53</a></span><span class="preprocessor">#define PWM_RISING_FALLING_LATCH_INT_FLAG    (6UL)    </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae322c57f5e065ce3f548c1e2443a7298">   54</a></span><span class="preprocessor">#define PWM_RISING_LATCH_PDMA_ENABLE         (0x10UL)    </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad147fdd80c5b1b189f2d9c888c367a5f">   55</a></span><span class="preprocessor">#define PWM_FALLING_LATCH_PDMA_ENABLE        (0x20UL)    </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5769a3e1c61ecacfb3674bad1bf8750">   56</a></span><span class="preprocessor">#define PWM_RISING_FALLING_LATCH_PDMA_ENABLE (0x30UL)    </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb4ed09d9c7161d49d68c9ace40120e4">   57</a></span><span class="preprocessor">#define PWM_CAP_PDMA_RFORDER_R               (0x1000UL)  </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae883b415b6b8ec48123455bd2a446f5a">   58</a></span><span class="preprocessor">#define PWM_CAP_PDMA_RFORDER_F               (0UL)        </span><span class="comment">/* end of group NANO1X2_PWM_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21f38b0eac19f64a2f4df237d41abb39">   75</a></span><span class="preprocessor">#define PWM_ENABLE_OUTPUT_INVERTER(pwm, u32ChannelMask)\</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="preprocessor">do { \</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="preprocessor">    uint8_t i; \</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="preprocessor">    (pwm)-&gt;CTL &amp;= ~(PWM_CTL_CH0INV_Msk | PWM_CTL_CH1INV_Msk | PWM_CTL_CH2INV_Msk | PWM_CTL_CH3INV_Msk);\</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="preprocessor">    for (i = 0; i &lt; PWM_CHANNEL_NUM; i++) { \</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="preprocessor">        if ( (u32ChannelMask)  &amp; (1 &lt;&lt; i)) { \</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="preprocessor">            (pwm)-&gt;CTL |= (PWM_CTL_CH0INV_Msk &lt;&lt; (i * 8)); \</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="preprocessor">        } \</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="preprocessor">    } \</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="preprocessor">  }while(0)</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc8468102c1b40de1425baf3ff176e61">   93</a></span><span class="preprocessor">#define PWM_GET_CAPTURE_RISING_DATA(pwm, u32ChannelNum) (*(__IO uint32_t *) (&amp;(pwm)-&gt;CRL0 + 2 * (u32ChannelNum)))</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5279f8564e71c325e4c0e58a9d3f6bac">  102</a></span><span class="preprocessor">#define PWM_GET_CAPTURE_FALLING_DATA(pwm, u32ChannelNum) (*(__IO uint32_t *) (&amp;(pwm)-&gt;CFL0 + 2 * (u32ChannelNum)))</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab0560b0f1eac8f0ec03f3f9620cab68b">  114</a></span><span class="preprocessor">#define PWM_SET_PRESCALER(pwm, u32ChannelNum, u32Prescaler) \</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span><span class="preprocessor">    ((pwm)-&gt;PRES = ((pwm)-&gt;PRES &amp; ~(PWM_PRES_CP01_Msk &lt;&lt; (((u32ChannelNum) &gt;&gt; 1) * 8))) | ((u32Prescaler) &lt;&lt; (((u32ChannelNum) &gt;&gt; 1) * 8)))</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27cd5ecaed4d1566a85123b247cad99b">  130</a></span><span class="preprocessor">#define PWM_SET_DIVIDER(pwm, u32ChannelNum, u32Divider) \</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span><span class="preprocessor">    ((pwm)-&gt;CLKSEL = ((pwm)-&gt;CLKSEL &amp; ~(PWM_CLKSEL_CLKSEL0_Msk &lt;&lt; (4 * (u32ChannelNum)))) | (u32Divider &lt;&lt; (4 * (u32ChannelNum))))</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga88654b74fa99f07cb1ad5cdb5efc59fa">  142</a></span><span class="preprocessor">#define PWM_SET_CMR(pwm, u32ChannelNum, u32CMR) \</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span><span class="preprocessor">do { \</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="preprocessor">    *(__IO uint32_t *) (&amp;(pwm)-&gt;DUTY0 + 3 * (u32ChannelNum)) &amp;= ~PWM_DUTY0_CM_Msk; \</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span><span class="preprocessor">    *(__IO uint32_t *) (&amp;(pwm)-&gt;DUTY0 + 3 * (u32ChannelNum)) |= (u32CMR &lt;&lt; PWM_DUTY0_CM_Pos); \</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="preprocessor">}while(0)</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9186f8278b1382b9881e266db45c99f8">  158</a></span><span class="preprocessor">#define PWM_SET_CNR(pwm, u32ChannelNum, u32CNR) \</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="preprocessor">do { \</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span><span class="preprocessor">    *(__IO uint32_t *) (&amp;(pwm)-&gt;DUTY0 + 3 * (u32ChannelNum)) &amp;= ~PWM_DUTY0_CN_Msk; \</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span><span class="preprocessor">    *(__IO uint32_t *) (&amp;(pwm)-&gt;DUTY0 + 3 * (u32ChannelNum)) |= u32CNR; \</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span><span class="preprocessor">} while(0)</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab9f21de9c480c64baebb99099d46d4bc">  175</a></span><span class="preprocessor">#define PWM_SET_ALIGNED_TYPE(pwm, u32ChannelMask, u32AlignedType) \</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="preprocessor">do { \</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span><span class="preprocessor">    uint8_t i; \</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span><span class="preprocessor">    (pwm)-&gt;CTL &amp;= ~(PWM_CTL_PWMTYPE01_Msk | PWM_CTL_PWMTYPE23_Msk); \</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span><span class="preprocessor">    for (i = 0; i &lt; PWM_CHANNEL_NUM; i++) { \</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span><span class="preprocessor">        if (u32AlignedType == PWM_CENTER_ALIGNED) \</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span><span class="preprocessor">            if ( (u32ChannelMask)  &amp; (1 &lt;&lt; i)) \</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="preprocessor">                (pwm)-&gt;CTL |= (PWM_CTL_PWMTYPE01_Msk &lt;&lt; (i &gt;&gt; 1)); \</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span><span class="preprocessor">    } \</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span><span class="preprocessor">} while(0)</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>uint32_t <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">PWM_ConfigOutputChannel</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm,</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>                                 uint32_t u32ChannelNum,</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>                                 uint32_t u32Frequency,</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>                                 uint32_t u32DutyCycle);</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>uint32_t <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d11697fa73308d4f5ae8ee67c0c7a55">PWM_ConfigCaptureChannel</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm,</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>                                   uint32_t u32ChannelNum,</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>                                   uint32_t u32UnitTimeNsec,</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>                                   uint32_t u32CaptureEdge);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">PWM_Start</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">PWM_Stop</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask);</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">PWM_ForceStop</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask);</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">PWM_EnableADCTrigger</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Condition);</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">PWM_DisableADCTrigger</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">PWM_ClearADCTriggerFlag</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Condition);</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>uint32_t <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">PWM_GetADCTriggerFlag</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1621caaef12796182bda60ea4e7377b3">PWM_EnableCapture</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask);</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7489f70aaa949018de6fbb925717802f">PWM_DisableCapture</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask);</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">PWM_EnableOutput</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">PWM_DisableOutput</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask);</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">PWM_EnableDeadZone</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Duration);</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">PWM_DisableDeadZone</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8737c77d70ce330857769a032520464">PWM_EnableCaptureInt</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge);</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga519eb2f39edce4c0181abc2e4753fd72">PWM_DisableCaptureInt</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2ad27c5dade93b09856965923537fb">PWM_ClearCaptureIntFlag</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge);</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>uint32_t <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1c99b5c4b0bab58c75bd5f5b3686886">PWM_GetCaptureIntFlag</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga425201428238fb079d10a7e1b03479e6">  211</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga425201428238fb079d10a7e1b03479e6">PWM_EnableDutyInt</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32IntDutyType);</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno"><a class="line" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga89d6aec6a3d08a18e413114e97231ed8">  212</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga89d6aec6a3d08a18e413114e97231ed8">PWM_DisableDutyInt</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">PWM_ClearDutyIntFlag</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>uint32_t <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">PWM_GetDutyIntFlag</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">PWM_EnablePeriodInt</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum,  uint32_t u32IntPeriodType);</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">PWM_DisablePeriodInt</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">PWM_ClearPeriodIntFlag</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>uint32_t <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">PWM_GetPeriodIntFlag</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2d1ff29fabd000bfc4eb334f02a959">PWM_EnablePDMA</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32RisingFirst, uint32_t u32Mode);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2925fa7b1ebc598a283eaeb4cc78e7b">PWM_DisablePDMA</a>(<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum);</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> <span class="comment">/* end of group NANO1X2_PWM_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> <span class="comment">/* end of group NANO1X2_PWM_Driver */</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span> </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>}</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span><span class="preprocessor">#endif </span><span class="comment">//__PWM_H__</span></div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span> </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga05a6be33c690157c4bc87f0688e2f9cb"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">PWM_ForceStop</a></div><div class="ttdeci">void PWM_ForceStop(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function stop PWM generation immediately by clear channel enable bit.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00261">pwm.c:261</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga066d00c26f6a319314be5dd2c3047990"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">PWM_Stop</a></div><div class="ttdeci">void PWM_Stop(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function stop PWM module.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00241">pwm.c:241</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1621caaef12796182bda60ea4e7377b3"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1621caaef12796182bda60ea4e7377b3">PWM_EnableCapture</a></div><div class="ttdeci">void PWM_EnableCapture(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function enables PWM capture of selected channels.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00327">pwm.c:327</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1b2d1ff29fabd000bfc4eb334f02a959"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2d1ff29fabd000bfc4eb334f02a959">PWM_EnablePDMA</a></div><div class="ttdeci">void PWM_EnablePDMA(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32RisingFirst, uint32_t u32Mode)</div><div class="ttdoc">This function enable capture PDMA of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00578">pwm.c:578</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1b5c77cb068468a5d240507dc4ec58b1"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">PWM_EnableDeadZone</a></div><div class="ttdeci">void PWM_EnableDeadZone(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Duration)</div><div class="ttdoc">This function enable Dead zone of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00403">pwm.c:403</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1f2ad27c5dade93b09856965923537fb"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2ad27c5dade93b09856965923537fb">PWM_ClearCaptureIntFlag</a></div><div class="ttdeci">void PWM_ClearCaptureIntFlag(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</div><div class="ttdoc">This function clear capture interrupt flag of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00469">pwm.c:469</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1f3c635b9a22f2ba972264d6bad89948"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">PWM_ClearADCTriggerFlag</a></div><div class="ttdeci">void PWM_ClearADCTriggerFlag(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</div><div class="ttdoc">This function clear selected channel trigger ADC flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00301">pwm.c:301</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga20c0cb1f9c6ddbe739efe3445aab3f74"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">PWM_DisableADCTrigger</a></div><div class="ttdeci">void PWM_DisableADCTrigger(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function disable selected channel to trigger ADC.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00289">pwm.c:289</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga2d11697fa73308d4f5ae8ee67c0c7a55"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d11697fa73308d4f5ae8ee67c0c7a55">PWM_ConfigCaptureChannel</a></div><div class="ttdeci">uint32_t PWM_ConfigCaptureChannel(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32UnitTimeNsec, uint32_t u32CaptureEdge)</div><div class="ttdoc">This function config PWM capture and get the nearest unit time.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00138">pwm.c:138</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3f6f4ca64e6d9fcb16d6856274918871"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">PWM_DisablePeriodInt</a></div><div class="ttdeci">void PWM_DisablePeriodInt(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function disable period interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00535">pwm.c:535</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga425201428238fb079d10a7e1b03479e6"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga425201428238fb079d10a7e1b03479e6">PWM_EnableDutyInt</a></div><div class="ttdeci">void PWM_EnableDutyInt(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32IntDutyType)</div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga519eb2f39edce4c0181abc2e4753fd72"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga519eb2f39edce4c0181abc2e4753fd72">PWM_DisableCaptureInt</a></div><div class="ttdeci">void PWM_DisableCaptureInt(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</div><div class="ttdoc">This function disable capture interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00453">pwm.c:453</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5b5c5326f7052513e1b5eec1f71b30c8"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">PWM_ConfigOutputChannel</a></div><div class="ttdeci">uint32_t PWM_ConfigOutputChannel(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Frequency, uint32_t u32DutyCycle)</div><div class="ttdoc">This function config PWM generator and get the nearest frequency in edge aligned auto-reload mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00037">pwm.c:37</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga744d43fd2e38d605ece81b7f2c645408"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">PWM_GetADCTriggerFlag</a></div><div class="ttdeci">uint32_t PWM_GetADCTriggerFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function get selected channel trigger ADC flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00314">pwm.c:314</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7489f70aaa949018de6fbb925717802f"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7489f70aaa949018de6fbb925717802f">PWM_DisableCapture</a></div><div class="ttdeci">void PWM_DisableCapture(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function disables PWM capture of selected channels.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00350">pwm.c:350</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga89d6aec6a3d08a18e413114e97231ed8"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga89d6aec6a3d08a18e413114e97231ed8">PWM_DisableDutyInt</a></div><div class="ttdeci">void PWM_DisableDutyInt(PWM_T *pwm, uint32_t u32ChannelNum)</div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8dfd6748955d93c79ea7943e66693e57"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">PWM_ClearDutyIntFlag</a></div><div class="ttdeci">void PWM_ClearDutyIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function clears duty interrupt flag of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00496">pwm.c:496</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga95951d94cf385aea3067fe197d33cdd2"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">PWM_EnablePeriodInt</a></div><div class="ttdeci">void PWM_EnablePeriodInt(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32IntPeriodType)</div><div class="ttdoc">This function enable period interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00523">pwm.c:523</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga998c9f9ff8209befaa5b96bb716ee039"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">PWM_GetDutyIntFlag</a></div><div class="ttdeci">uint32_t PWM_GetDutyIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function get duty interrupt flag of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00510">pwm.c:510</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9b67381d2e6604e2d52dc1b4ded0ac79"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">PWM_DisableDeadZone</a></div><div class="ttdeci">void PWM_DisableDeadZone(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function disable Dead zone of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00419">pwm.c:419</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa1f51bdd5b9c5f0d787c16b30ba335ec"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">PWM_DisableOutput</a></div><div class="ttdeci">void PWM_DisableOutput(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function disables PWM output generation of selected channels.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00390">pwm.c:390</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab2925fa7b1ebc598a283eaeb4cc78e7b"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2925fa7b1ebc598a283eaeb4cc78e7b">PWM_DisablePDMA</a></div><div class="ttdeci">void PWM_DisablePDMA(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function disable capture PDMA of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00592">pwm.c:592</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaba7d1c58227b988404d3491388abe31f"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">PWM_Start</a></div><div class="ttdeci">void PWM_Start(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function start PWM module.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00220">pwm.c:220</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac655465d151aeb2c2356b560c660e860"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">PWM_ClearPeriodIntFlag</a></div><div class="ttdeci">void PWM_ClearPeriodIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function clear period interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00546">pwm.c:546</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac8352c03341d770623730dc38e4dc06d"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">PWM_EnableOutput</a></div><div class="ttdeci">void PWM_EnableOutput(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function enables PWM output generation of selected channels.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00378">pwm.c:378</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae1c99b5c4b0bab58c75bd5f5b3686886"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1c99b5c4b0bab58c75bd5f5b3686886">PWM_GetCaptureIntFlag</a></div><div class="ttdeci">uint32_t PWM_GetCaptureIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function get capture interrupt flag of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00485">pwm.c:485</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae1e00a27b810b68d4f5d971e45180a33"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">PWM_GetPeriodIntFlag</a></div><div class="ttdeci">uint32_t PWM_GetPeriodIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function get period interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00560">pwm.c:560</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf8737c77d70ce330857769a032520464"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8737c77d70ce330857769a032520464">PWM_EnableCaptureInt</a></div><div class="ttdeci">void PWM_EnableCaptureInt(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</div><div class="ttdoc">This function enable capture interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00437">pwm.c:437</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafd20833cfab9a95006028b4a2bfad6a4"><div class="ttname"><a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">PWM_EnableADCTrigger</a></div><div class="ttdeci">void PWM_EnableADCTrigger(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</div><div class="ttdoc">This function enable selected channel to trigger ADC.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00278">pwm.c:278</a></div></div>
<div class="ttc" id="astruct_p_w_m___t_html"><div class="ttname"><a href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05734">Nano1X2Series.h:5735</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
